Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Class Field.Matcher

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.identity.XPathMatcher
            |
            +--weblogic.apache.xerces.validators.schema.identity.Field.Matcher

protected class Field.Matcher
extends XPathMatcher

Field matcher.

Author:
  Andy Clark, IBM

Field Summary
`protected ValueStore` | `fStore` Value store for data values.

Fields inherited from class weblogic.apache.xerces.validators.schema.identity.XPathMatcher
`DEBUG_ALL, DEBUG_ANY, DEBUG_MATCH, DEBUG_METHODS, DEBUG_METHODS2, DEBUG_METHODS3, DEBUG_STACK, fIDConstraint, fNamespacesScope, fStringPool`

Constructor Summary
`Field.Matcher(Field.XPath xpath, ValueStore store)` Constructs a field matcher.

Method Summary
`protected void` | `matched(java.lang.String content, DatatypeValidator val, boolean isNil)` This method is called when the XPath handler matches the XPath expression.

Methods inherited from class weblogic.apache.xerces.validators.schema.identity.XPathMatcher
`characters, endDocumentFragment, endElement, getIDConstraint, getIsSelector, getMatchedString, isMatched, startDocumentFragment, startElement, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fStore

    protected ValueStore fStore

  Value store for data values.

Constructor Detail

### Field.Matcher

    public Field.Matcher(Field.XPath xpath,
                         ValueStore store)

  Constructs a field matcher.

Method Detail

### matched

    protected void matched(java.lang.String content,
                           DatatypeValidator val,
                           boolean isNil)
                    throws java.lang.Exception

  This method is called when the XPath handler matches the XPath expression.

  Overrides:
    matched in class XPathMatcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference